Bug 76134 - FORMATTING: Column widths are not interpreted properly from Microsoft Word 2003 XML format
Summary: FORMATTING: Column widths are not interpreted properly from Microsoft Word 20...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: MSO-XML2003
  Show dependency treegraph
 
Reported: 2014-03-13 17:54 UTC by Gergely Rácz
Modified: 2021-08-21 03:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
it contains an empty table with different width of columns. (24.32 KB, application/msword)
2014-03-13 17:54 UTC, Gergely Rácz
Details
test file compared in MSO and LO (65.80 KB, image/png)
2019-08-19 09:07 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gergely Rácz 2014-03-13 17:54:21 UTC
Created attachment 95734 [details]
it contains an empty table with different width of columns.

Steps to reproduce

1. Create a Word file in MS Office.
2. Set a table with several columns.
3. Set different width for the columns.
5. Save the file in .xml (2003) format.
6. Open the file with Writer.

Results:
The cells will be reseted to the equally devided width.

Expected results:
LibreOffice should display the columns with different width.
Comment 1 Thomas van der Meulen 2014-03-22 09:21:20 UTC
Thank you for your bug report, I can reproduce this bug running 
Version: 4.2.3.1
Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
OS: Mac osx 10.9.2

I have compared it with microsoft word 2007 and yes the distance were set to equally in LibreOffice.
Comment 2 Joel Madero 2015-05-02 15:42:15 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-20 15:22:19 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:11:43 UTC Comment hidden (obsolete)
Comment 5 János Néhrer 2016-09-21 03:20:42 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2017-09-29 08:50:18 UTC Comment hidden (obsolete)
Comment 7 János Néhrer 2017-09-29 09:32:00 UTC Comment hidden (obsolete)
Comment 8 János Néhrer 2018-10-08 05:04:55 UTC
Still reproducible

Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: hu-HU (en_US); Calc: group threaded
Comment 9 Timur 2018-11-01 17:28:45 UTC
Repro 6.2+.
Was OK with OO and LO 3.3. NOK LO 3.4. I'll mark a regression.
Comment 10 Timur 2019-08-19 09:07:56 UTC
Created attachment 153497 [details]
test file compared in MSO and LO

Still repro with master~2019-08-15_22.57.26_LibreOfficeDev_6.4.0.0.alpha0_Win_x64
Comment 11 Kohei Yoshida 2019-08-21 23:27:50 UTC
FYI I am not involved (nor interested) in Word XML import code.
Comment 12 QA Administrators 2021-08-21 03:50:34 UTC
Dear Gergely Rácz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug